﻿#First time tasks
#Install-Module SharePointPnPPowerShellOnline 
#$Creds = get-credential
#Add-PnPStoredCredential -Name $URL -Username $Creds.UserName -Password $Creds.Password


import-Module SharePointPnPPowerShellOnline 
$URL = "PATH"
Connect-PnPOnline $URL 

function Create-MyList([string] $ListName, [string] $ListURL){
    #Always versioning on
    if($ListURL -eq ""){
        $ListURL =$ListName.Replace(" ","").ToLower()
    }
    New-PnPList -Title $ListName -Template GenericList -EnableVersioning -OnQuickLaunch -Url $ListURL
    Write-Host ("List " + $ListName + " has been created!") -ForegroundColor Green    
}

$Departments = 'HR','Marketing','IT','Sales','Engineering'

foreach($Dep in $Departments){
    Create-MyList -ListName $Dep 
}

Create-MyList "Hello World"

foreach($Dep in $Departments){
    Remove-PnPList $Dep -Force
}